;InnoSetupVersion=5.1.2

[Setup]
AppName=FontExplorerL.M.
AppVerName=FontExplorerL.M. v5.5.4
AppId=FontExplorerL.M.
AppPublisher=Lanmisoft
AppPublisherURL=http://www.lanmisoft.com
AppSupportURL=http://www.lanmisoft.com
AppUpdatesURL=http://www.lanmisoft.com
DefaultDirName={pf}\FontExplorerL.M.
DefaultGroupName=FontExplorerL.M.
UninstallFilesDir={app}\uninst
OutputBaseFilename=FontExplorerL.M.
Compression=lzma
PrivilegesRequired=none
LicenseFile=embedded\License.txt
InfoBeforeFile=embedded\InfoBefore.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\QForm.htm"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\FontExplorerLM.exe"; DestDir: "{app}"; Flags: confirmoverwrite 
Source: "{app}\ReadMe.txt"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\fontexplorerlm.chm"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\Zip32.dll"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\Unzip32.dll"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\HTML Export\editor.ico"; DestDir: "{app}\HTML Export"; Flags: ignoreversion 
Source: "{app}\HTML Export\FExpicon.ico"; DestDir: "{app}\HTML Export"; Flags: ignoreversion 
Source: "{app}\HTML Export\Read!.txt"; DestDir: "{app}\HTML Export"; Flags: ignoreversion 
Source: "{app}\Data\Clscheme.cls"; DestDir: "{app}\Data"; Flags: uninsneveruninstall onlyifdoesntexist 
Source: "{app}\Data\nlst.cnl"; DestDir: "{app}\Data"; Flags: ignoreversion 
Source: "{app}\Language\English.lng"; DestDir: "{app}\Language"; Flags: ignoreversion 
Source: "{app}\Language\Srpski.lng"; DestDir: "{app}\Language"; Flags: ignoreversion 
Source: "{app}\Language\French.lng"; DestDir: "{app}\Language"; Flags: ignoreversion 
Source: "{app}\Language\Spanish.lng"; DestDir: "{app}\Language"; Flags: ignoreversion 
Source: "{app}\Language\Italian.lng"; DestDir: "{app}\Language"; Flags: ignoreversion 
Source: "{app}\Language\Arabic.lng"; DestDir: "{app}\Language"; Flags: ignoreversion 
Source: "{app}\Language\German.lng"; DestDir: "{app}\Language"; Flags: ignoreversion 
Source: "{app}\Language\Portugues (Brasil).lng"; DestDir: "{app}\Language"; Flags: ignoreversion 
Source: "{app}\Language\Dutch.lng"; DestDir: "{app}\Language"; Flags: ignoreversion 
Source: "{app}\Language\Indonesian.lng"; DestDir: "{app}\Language"; Flags: ignoreversion 
Source: "{app}\Language\Russian.lng"; DestDir: "{app}\Language"; Flags: ignoreversion 
Source: "{app}\Language\Srpski(cirilica).lng"; DestDir: "{app}\Language"; Flags: ignoreversion 
Source: "{app}\FontNetExplorer.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\For Translation.txt"; DestDir: "{app}"; Flags: ignoreversion 

[INI]
FileName: "{app}\Lanmisoft.url"; Section: "InternetShortcut"; Key: "URL"; String: "http://www.lanmisoft.com"; 

[Run]
Filename: "{app}\FontExplorerLM.exe"; Description: "{cm:LaunchProgram,FontExplorerL.M.}"; Flags: postinstall skipifsilent nowait

[Icons]
Name: "{group}\FontExplorerL.M."; Filename: "{app}\FontExplorerLM.exe"; 
Name: "{group}\Lanmisoft Homepage"; Filename: "{app}\Lanmisoft.url"; 
Name: "{group}\Help"; Filename: "{app}\fontexplorerlm.chm"; 
Name: "{group}\{cm:UninstallProgram,FontExplorerL.M.}"; Filename: "{uninstallexe}"; 
Name: "{userdesktop}\FontExplorerL.M."; Filename: "{app}\FontExplorerLM.exe"; Tasks: desktopicon; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\FontExplorerL.M."; Filename: "{app}\FontExplorerLM.exe"; Tasks: quicklaunchicon; 
Name: "{userstartmenu}\FontExplorerL.M."; Filename: "{app}\FontExplorerLM.exe"; Tasks: startupicon; 

[Tasks]
Name: "desktopicon"; Description: "Create a &Desktop icon"; GroupDescription: "{cm:AdditionalIcons}"; 
Name: "quicklaunchicon"; Description: "{cm:CreateQuickLaunchIcon}"; GroupDescription: "{cm:AdditionalIcons}"; 
Name: "startupicon"; Description: "Create a &Startup icon"; GroupDescription: "{cm:AdditionalIcons}"; 

[UninstallDelete]
Type: files; Name: "{app}\FontExplorerLM.exe"; 
Type: files; Name: "{app}\fontexplorerlm.chm"; 
Type: files; Name: "{app}\Lanmisoft.url"; 
Type: files; Name: "{app}\ReadMe.txt"; 
Type: files; Name: "{app}\Unzip32.dll"; 
Type: files; Name: "{app}\Zip32.dll"; 
Type: dirifempty; Name: "{app}\Data"; 
Type: dirifempty; Name: "{app}\Installed Fonts"; 
Type: dirifempty; Name: "{app}\Uninstalled Fonts"; 
Type: filesandordirs; Name: "{app}\HTML Export"; 
Type: dirifempty; Name: "{app}\Language"; 

[CustomMessages]
eng.NameAndVersion=%1 version %2
eng.AdditionalIcons=Additional icons:
eng.CreateDesktopIcon=Create a &desktop icon
eng.CreateQuickLaunchIcon=Create a &Quick Launch icon
eng.ProgramOnTheWeb=%1 on the Web
eng.UninstallProgram=Uninstall %1
eng.LaunchProgram=Launch %1
eng.AssocFileExtension=&Associate %1 with the %2 file extension
eng.AssocingFileExtension=Associating %1 with the %2 file extension...

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "eng"; MessagesFile: "embedded\eng.isl"; 
